Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class SequenceFilter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.SequenceWriter
              com.saxonica.extra.SequenceFilter

All Implemented Interfaces:
  Result, Receiver

    public class SequenceFilter

extends SequenceWriter

A sequence writer that passes on only those items that satisfy a filter predicate. The filter will always be non-positional.

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceFilter(SequenceWriter out, XPathContext context, Expression filter)`

Method Summary
`void` | `write(Item item)` Abstract method to be supplied by subclasses: output one item in the sequence.

Methods inherited from class net.sf.saxon.event.SequenceWriter
`append, attribute, characters, close, comment, endDocument, endElement, hasOpenNodes, namespace, processingInstruction, startContent, startDocument, startElement`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`getConfiguration, getNamePool, getPipelineConfiguration, getSystemId, open, setPipelineConfiguration, setSystemId, setUnparsedEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilter

    public SequenceFilter(SequenceWriter out,
                          XPathContext context,
                          Expression filter)

Method Detail

### write

    public void write(Item item)
               throws XPathException

  Description copied from class: `SequenceWriter`
  Abstract method to be supplied by subclasses: output one item in the sequence.

  Specified by:
    `write` in class `SequenceWriter`
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.